services:
  # We need that suffix to distinguish from upcoming core cache context.
  # @see \Drupal\Core\Cache\Context\CacheContextsPass::process
  # @todo Obsolete this: https://www.drupal.org/project/drupal/issues/3105521
  cache_context.url.site.scheme__prevent_unsafe_login:
    class: Drupal\prevent_unsafe_login\UrlSchemeCacheContext
    arguments: ['@request_stack']
    tags:
      - { name: cache.context }
